proc TdynTcl_CreateMooring { } {
    # Validation Case 3
    # Time step suggested for simulation: 0.005 sec.
	
    # values: Body Type_Mooring Xe[3] Xi [3] w L A E S n_elements damp_ratio_1 damp_ratio_2
    set seg1 [create_mooring_segment 1 6 0.0 0.0 0.3 -32.554 0.0 -3.0 0.155 33.0 3.14159e-6 3.1831e9 1 50 0.025 0.025]
    # values: Gk Gc Gu Ms Md Cd Cf Cm alpha_bs bci
    TdynTcl_Configure_Mooring_Segment 1 3.0e6 1.0 0.3 0.0 0.0 0.5 2.5 3.8 0.01 1
	
    set phi -2.25
    # T = 1.25 sec
    # set fun1 [::mather::create_function waves "0.2*tanh(0.5*t)*(cos(-(2*pi/1.25)*t+($phi))-cos($phi));"]
    # set fun2 [::mather::create_function waves "0.0;"]
    # set fun3 [::mather::create_function waves "0.2*tanh(0.5*t)*(sin(-(2*pi/1.25)*t+($phi))-sin($phi));"]
    # T = 3.5 sec
    set fun1 [::mather::create_function waves "0.2*tanh(0.5*t)*(cos(-(2*pi/3.5)*t+($phi))-cos($phi));"]
    set fun2 [::mather::create_function waves "0.0;"]
    set fun3 [::mather::create_function waves "0.2*tanh(0.5*t)*(sin(-(2*pi/3.5)*t+($phi))-sin($phi));"]
    
    TdynTcl_Set_Mooring_Displacement $seg1 $fun1 $fun2 $fun3 0
    TdynTcl_Configure_Analysis Solve_Dif_Rad 0
    TdynTcl_Message "TdynTcl_CreateMooringLine finished!!!" notice
}